/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 *
 */
package org.xwiki.eclipse;

/**
 * Constants
 */
public final class XWikiEclipseConstants
{
    public static final Object[] NO_OBJECTS = new Object[0];

    public static final String CONNECT_COMMAND = "org.xwiki.eclipse.command.Connect";

    public static final String DISCONNECT_COMMAND = "org.xwiki.eclipse.command.Disconnect";

    public static final String REMOVE_CONNECTION_COMMAND =
        "org.xwiki.eclipse.command.RemoveConnection";

    public static final String NEW_CONNECTION_COMMAND =
        "org.xwiki.eclipse.command.NewConnection";

    public static final String NEW_SPACE_COMMAND = "org.xwiki.eclipse.command.NewSpace";

    public static final String NEW_PAGE_COMMAND = "org.xwiki.eclipse.command.NewPage";

    public static final String REMOVE_SPACE_COMMAND = "org.xwiki.eclipse.command.RemoveSpace";

    public static final String REMOVE_PAGE_COMMAND = "org.xwiki.eclipse.command.RemovePage";

    public static final String GRAB_SPACE_COMMAND = "org.xwiki.eclipse.command.GrabSpace";
    
    public static final String REFRESH_COMMAND = "org.xwiki.eclipse.command.Refresh";

    public static final String CONNECTION_SETTINGS_BANNER =
        "icons/connection-settings-banner.png";

    public static final String SPACE_SETTINGS_BANNER = "icons/space-settings-banner.png";

    public static final String WORKING_SET_BANNER = "icons/working-set-banner.png";

    public static final String XWIKI_ICON = "icons/xwiki.png";

    public static final String XWIKI_SPACE_ICON = "icons/xwiki-space.png";

    public static final String XWIKI_PAGE_ICON = "icons/xwiki-page.png";

    public static final String XWIKI_PAGE_CACHED_ICON = "icons/xwiki-page-cached.png";

    public static final String XWIKI_PAGE_CONFLICT_ICON = "icons/xwiki-page-conflict.png";

    public static final String WORKING_SET_ICON = "icons/working-set.png";

    public static final String SHOW_EDITOR_PREVIEW_ICON = "icons/show-editor-preview.gif";
    
}
